Name:     inxi-gui
Version:  0.1.3
Release:  %mkrel 3

Summary: Shows system hardware info
Group:   System/Configuration/Hardware
License: GPLv3 
URL:     http://www.pclinuxos.com/
Source: %{name}-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot 
BuildArch: noarch
BuildRequires: make
Requires: yad 
Requires: inxi

%description
Inxi gui shows system hardware, CPU, drivers, Xorg, Desktop, kernel, GCC version,
processes, RAM usage and more...

%prep
%setup -q 

%build

%make 


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

#menu
desktop-file-install --vendor="" \
    --add-category="X-MandrivaLinux-System-Configuration;" \
	--dir %buildroot%{_datadir}/applications \
	%buildroot%{_datadir}/applications/*.desktop

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR

%post
%update_menus


%postun
%clean_menus



%files 
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}
%_datadir/applications/*.desktop
%_datadir//icons/hicolor/*/apps/%{name}.svg

%changelog
* Sun Apr 09 2023 Ken <lxgator at gmail.com> 0.1.3-3pclos2023
- Updated and fixed for current inxi  

* Tue Mar 02 2021 Ken <lxgator at gmail.com> 0.1.3-2pclos2021
- Height ajustments for updated yad 

* Mon Aug 17 2020 Ken <lxgator at gmail.com> 0.1.3-1pclos2020
- Update to 0.1.3

* Sun May 05 2019 Ken <lxgator at gmail.com> 0.1.2-1pclos2019
- Update to 0.1.2


